## haproxy 2.8.16

=== debian/changelog ===
haproxy (2.8.16-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:09:04 +0200

haproxy (2.8.16-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:06:37 +0200

haproxy (2.8.15-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Apr 2025 16:44:36 +0200

haproxy (2.8.15-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Apr 2025 16:32:42 +0200

haproxy (2.8.14-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Feb 2025 09:07:49 +0100

haproxy (2.8.14-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Feb 2025 09:02:25 +0100

haproxy (2.8.13-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 22:21:46 +0100

haproxy (2.8.13-1) UNRELEASED; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1079532)
    + Require a sphinx for the build architecture.
    + Pass CC and PKG_CONFIG to all make targets.
    + cross.patch: Honour the passed ${PKG_CONFIG}.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 22:18:03 +0100

haproxy (2.8.12-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:25:10 +0100

haproxy (2.8.12-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:21:35 +0100

haproxy (2.8.11-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 15:03:45 +0200

haproxy (2.8.11-2) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 15:01:24 +0200

haproxy (2.8.10-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 16 Jun 2024 10:37:35 +0200

haproxy (2.8.10-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 16 Jun 2024 07:15:24 +0200

haproxy (2.8.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 06 Apr 2024 12:49:47 +0200

haproxy (2.8.9-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Apr 2024 12:28:08 +0200

haproxy (2.8.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 02 Mar 2024 23:36:33 +0100

haproxy (2.8.7-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@neo>  Sat, 02 Mar 2024 23:27:14 +0100

haproxy (2.8.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 16 Feb 2024 21:34:15 +0100

haproxy (2.8.6-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 16 Feb 2024 21:30:04 +0100

haproxy (2.8.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 09 Dec 2023 16:26:00 +0100

haproxy (2.8.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Wed, 22 Nov 2023 23:11:05 +0100

haproxy (2.8.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 18 Nov 2023 20:42:31 +0100

haproxy (2.8.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 08 Sep 2023 20:41:46 +0200

haproxy (2.8.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 12 Aug 2023 13:42:28 +0200

haproxy (2.8.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 03 Jul 2023 21:16:26 +0200

haproxy (2.8.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 03 Jun 2023 13:20:54 +0200

haproxy (2.7.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 06 May 2023 15:26:50 +0200

haproxy (2.7.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 28 Apr 2023 23:06:44 +0200

haproxy (2.7.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 31 Mar 2023 09:02:52 +0200

haproxy (2.7.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 18 Mar 2023 14:22:27 +0100

haproxy (2.7.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 10 Mar 2023 21:36:51 +0100

haproxy (2.7.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Wed, 15 Feb 2023 08:41:07 +0100

haproxy (2.7.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 13 Feb 2023 19:59:20 +0100

haproxy (2.7.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 20 Jan 2023 22:38:01 +0100


