## haproxy 2.8.17

=== debian/changelog ===
haproxy (2.8.17-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 17:02:57 +0100

haproxy (2.8.17-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 16:56:19 +0100

haproxy (2.8.16-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:13:18 +0200

haproxy (2.8.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Apr 2025 16:48:52 +0200

haproxy (2.8.14-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Feb 2025 09:12:06 +0100

haproxy (2.8.13-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 22:25:59 +0100

haproxy (2.8.12-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:27:15 +0100

haproxy (2.8.11-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 15:06:00 +0200

haproxy (2.8.10-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 16 Jun 2024 10:54:31 +0200

haproxy (2.8.9-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 06 Apr 2024 13:07:01 +0200

haproxy (2.8.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 02 Mar 2024 23:53:28 +0100

haproxy (2.8.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 16 Feb 2024 21:51:13 +0100

haproxy (2.8.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 09 Dec 2023 16:47:37 +0100

haproxy (2.8.4-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Wed, 22 Nov 2023 23:27:28 +0100

haproxy (2.8.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 18 Nov 2023 21:04:07 +0100

haproxy (2.8.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 08 Sep 2023 20:59:17 +0200

haproxy (2.8.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 12 Aug 2023 14:03:10 +0200

haproxy (2.8.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 03 Jul 2023 21:33:04 +0200

haproxy (2.8.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 03 Jun 2023 13:48:18 +0200
