=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
                liblua5.3-dev,
                libsystemd-dev [linux-any],
                libjemalloc-dev,
-               python3-sphinx:native
+               python3-sphinx:native,
+               libopentracing-c-wrapper-dev,
+               pkg-config
 Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
