=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
+	 USE_OT=1 \
 	 LUA_INC=/usr/include/lua5.3 \
 	 EXTRA=admin/halog/halog
