## haproxy 2.8.18

=== debian/changelog ===
haproxy (2.8.18-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Dec 2025 14:51:12 +0100

haproxy (2.8.18-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Dec 2025 10:38:10 +0100
