## haproxy 2.9.5

=== debian/changelog ===
haproxy (2.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 15 Feb 2024 22:21:25 +0100

haproxy (2.9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 01 Feb 2024 22:39:57 +0100

haproxy (2.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable. Let bite the bullet!

 -- Vincent Bernat <bernat@debian.org>  Thu, 18 Jan 2024 21:25:36 +0100

haproxy (2.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Upload back to experimental.

 -- Vincent Bernat <bernat@debian.org>  Fri, 12 Jan 2024 20:55:52 +0100

haproxy (2.9.1-1) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * d/rules: use dh_installsystemd to install .service files.
    Closes: #1057943.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 15 Dec 2023 15:33:29 +0100

haproxy (2.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 09 Dec 2023 15:33:05 +0100

haproxy (2.8.5-2) UNRELEASED; urgency=medium

  * d/rules: use dh_installsystemd to install .service files.
    Closes: #1057943.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 10 Dec 2023 20:15:00 +0100
