=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
                liblua5.3-dev,
                libsystemd-dev [linux-any],
                libjemalloc-dev,
-               python3-sphinx:native,
+               python3-sphinx,
                libopentracing-c-wrapper-dev,
-               pkg-config
+               pkg-config,
+               systemd-dev [linux-any]
 Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
