## haproxy 2.9.9

=== debian/changelog ===
haproxy (2.9.9-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 14 Jun 2024 21:50:59 +0200

haproxy (2.9.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jun 2024 23:10:44 +0200

haproxy (2.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Apr 2024 11:40:25 +0200

haproxy (2.9.6-1) unstable; urgency=medium

  * New upstream release.
  * d/install: don't ship halog both in usr/bin and usr/sbin.
    Closes: #1064788.

 -- Vincent Bernat <bernat@neo>  Fri, 01 Mar 2024 22:01:08 +0100
