=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,11 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 MAKEARGS=V=1 \
-	 CC='$(CC)' \
-	 PKG_CONFIG='$(PKG_CONFIG)' \
 	 DESTDIR=debian/haproxy \
 	 PREFIX=/usr \
 	 IGNOREGIT=true \
@@ -30,6 +27,7 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
         MAKEARGS+= TARGET=linux-glibc USE_SYSTEMD=1
+        deb_systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd)
 else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
         MAKEARGS+= TARGET=freebsd
 else
@@ -39,7 +37,7 @@
 ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4 riscv64,$(DEB_HOST_ARCH)),)
 	MAKEARGS+= ADDLIB="-latomic -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
 else
-	MAKEARGS+= ADDLIB=" -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
+	MAKEARGS+= ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
 endif
 
 MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"
@@ -78,6 +76,9 @@
 	make $(MAKEARGS) install
 	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
 	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy
+ifneq ($(deb_systemdsystemunitdir),)
+	install -m 0644 -D admin/systemd/haproxy.service debian/haproxy$(deb_systemdsystemunitdir)/haproxy.service
+endif
 
 override_dh_auto_install-indep:
