## haproxy 2.9.10

=== debian/changelog ===
haproxy (2.9.10-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2073315). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe
    - d/{control,rules}: do not link against jemalloc (universe)
  * Dropped changes:
    - d/control: Upgrade lua build dependency to 5.4
      [ Fixed in 2.9.10-1 ]
    - d/rules: Change lua include location to /usr/include/lua5.4
      [ Fixed in 2.9.10-1 ]
    - d/p/CVE-2024-45506-1.patch: clear DEM_MROOM and MUX_MFULL at more
      places
      [ Fixed in 2.9.10 ]
    - d/p/CVE-2024-45506-2.patch: always clear MUX_MFULL and DEM_MROOM
      when clearing the mbuf
      [ Fixed in 2.9.10 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 13 Sep 2024 10:35:04 -0300

haproxy (2.9.10-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * Build against Lua 5.4; thanks to Athos Ribeiro and Lena Voytek.
    Closes: #1074401.

  [ Vincent Bernat ]
  * New upstream release. Fix CVE-2024-45506.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Sep 2024 16:43:27 +0200

haproxy (2.9.9-1ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: remote denial of service issue
    - debian/patches/CVE-2024-45506-1.patch: try to clear DEM_MROOM and
      MUX_MFULL at more places in src/mux_h2.c.
    - debian/patches/CVE-2024-45506-2.patch: always clear MUX_MFULL and
      DEM_MROOM when clearing the mbuf in src/mux_h2.c.
    - CVE-2024-45506

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Sep 2024 12:04:03 -0400

haproxy (2.9.9-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064406). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe.
    - d/control: Upgrade lua build dependency to 5.4
    - d/rules: Change lua include location to /usr/include/lua5.4
    - d/{control,rules}: do not link against jemalloc (universe).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 27 Jun 2024 21:44:27 -0300
