## haproxy 2.9.11

=== debian/changelog ===
haproxy (2.9.11-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 14:50:05 +0200
