=== debian/changelog ===
haproxy (2.9.12-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:30:30 +0100
