=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 12),
                libpcre2-dev,
                libssl-dev,
-               liblua5.3-dev,
+               liblua5.4-dev,
                libsystemd-dev [linux-any],
                libjemalloc-dev,
                python3-sphinx,
