=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
+	 USE_OT=1 \
 	 LUA_INC=/usr/include/lua5.4 \
 	 EXTRA=admin/halog/halog
 
@@ -34,7 +35,9 @@
 endif
 
 ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4 riscv64,$(DEB_HOST_ARCH)),)
-	MAKEARGS+= ADDLIB="-latomic"
+	MAKEARGS+= ADDLIB="-latomic -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
+else
+	MAKEARGS+= ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
 endif
 
 MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"
