## haproxy 3.0.6

=== debian/changelog ===
haproxy (3.0.6-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1079532)
    + Require a sphinx for the build architecture.
    + Pass CC and PKG_CONFIG to all make targets.
    + cross.patch: Honour the passed ${PKG_CONFIG}.

 -- Vincent Bernat <bernat@debian.org>  Sun, 01 Dec 2024 18:35:09 +0100

haproxy (3.0.6-2) unstable; urgency=medium

  * Upload to unstable.
  * Update documentation converter.

 -- Vincent Bernat <bernat@debian.org>  Sat, 30 Nov 2024 18:28:45 +0100

haproxy (3.0.6-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:37:04 +0100

haproxy (3.0.5-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 11:07:55 +0200

haproxy (3.0.4-1) experimental; urgency=medium

  [ Apollon Oikonomopoulos ]
  * Build against Lua 5.4; thanks to Athos Ribeiro and Lena Voytek.
    Closes: #1074401.

  [ Vincent Bernat ]
  * New upstream release. Fix CVE-2024-45506.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Sep 2024 16:58:45 +0200

haproxy (3.0.3-1) experimental; urgency=medium

  [ Apollon Oikonomopoulos ]
  * Build against Lua 5.4; thanks to Athos Ribeiro and Lena Voytek.
    Closes: #1074401.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 12 Jul 2024 22:02:01 +0200

haproxy (3.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 14 Jun 2024 22:23:20 +0200

haproxy (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jun 2024 04:08:37 +0200

haproxy (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * d/rules: use CFLAGS instead of DEBUG_CFLAGS.
  * d/rules: let upstream Makefile decides for libatomic.
  * d/patch: update patches.
  * d/control: build-depends on pkgconf instead of pkg-config.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Jun 2024 12:25:32 +0200
