=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                liblua5.4-dev,
                libsystemd-dev [linux-any],
                libjemalloc-dev,
-               python3-sphinx,
+               python3-sphinx:native,
                libopentracing-c-wrapper-dev,
-               pkg-config,
+               pkgconf,
                systemd-dev [linux-any]
-Build-Depends-Indep: python3, python3-mako
+Build-Depends-Indep: python3:native, python3-mako:native
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
 Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy
