## haproxy 3.0.7

=== debian/changelog ===
haproxy (3.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 21:40:24 +0100
