=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libopentracing-c-wrapper-dev,
                pkgconf,
                systemd-dev [linux-any]
-Build-Depends-Indep: python3:native, python3-mako:native
+Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
 Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy
