## haproxy 3.0.8

=== debian/changelog ===
haproxy (3.0.8-1ubuntu1.2) plucky-security; urgency=medium

  * SECURITY UPDATE: DoS via MJSON
    - debian/patches/CVE-2025-11230.patch: fix possible DoS when parsing
      numbers in src/mjson.c.
    - CVE-2025-11230

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Oct 2025 12:58:21 -0400

haproxy (3.0.8-1ubuntu1.1) plucky-security; urgency=medium

  * SECURITY UPDATE: heap overflow in sample_conv_regsub
    - debian/patches/CVE-2025-32464.patch: fix risk of overflow when
      replacing multiple regex back-refs in src/sample.c.
    - CVE-2025-32464

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Apr 2025 08:46:16 -0400

haproxy (3.0.8-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe
    - d/{control,rules}: do not link against jemalloc (universe)
      This can be dropped after (LP #2088056) got accepted.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 01:52:59 -0600

haproxy (3.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 29 Jan 2025 21:43:30 +0100

haproxy (3.0.7-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085234). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe
    - d/{control,rules}: do not link against jemalloc (universe)
      This can be dropped after (LP #2088056) got accepted.

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 09 Jan 2025 10:00:59 +0100
