=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
@@ -11,9 +12,7 @@
                libssl-dev,
                liblua5.4-dev,
                libsystemd-dev [linux-any],
-               libjemalloc-dev,
                python3-sphinx:native,
-               libopentracing-c-wrapper-dev,
                pkgconf,
                systemd-dev [linux-any]
 Build-Depends-Indep: python3, python3-mako
