=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,14 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 MAKEARGS=V=1 \
+	 CC='$(CC)' \
+	 PKG_CONFIG='$(PKG_CONFIG)' \
 	 DESTDIR=debian/haproxy \
 	 PREFIX=/usr \
 	 IGNOREGIT=true \
@@ -21,7 +24,6 @@
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
-	 USE_OT=1 \
 	 LUA_INC=/usr/include/lua5.4 \
 	 EXTRA=admin/halog/halog
 
@@ -34,13 +36,8 @@
 	MAKEARGS+= TARGET=generic
 endif
 
-ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4 riscv64,$(DEB_HOST_ARCH)),)
-	MAKEARGS+= ADDLIB="-latomic -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
-else
-	MAKEARGS+= ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
-endif
-
-MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"
+#MAKEARGS += ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"  # see https://pad.lv/2088056
+MAKEARGS += CFLAGS="$(CFLAGS) $(CPPFLAGS)"
 MAKEARGS += LDFLAGS="$(LDFLAGS)"
 MAKEARGS += VERSION="$(DEB_VERSION_UPSTREAM)"
 MAKEARGS += SUBVERS="-$(lastword $(subst -, ,$(DEB_VERSION)))"
@@ -59,11 +56,9 @@
 override_dh_auto_build-indep:
 	# Build the HTML documentation, after patching dconv
 	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
-	for doc in intro configuration management; do \
-		python3 -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
-			-i $(CURDIR)/doc/$${doc}.txt \
-			-o $(CURDIR)/doc/$${doc}.html ;\
-	done
+	python3 -B $(CURDIR)/debian/dconv/dconv.py \
+			-o $(CURDIR)/doc \
+		    $(CURDIR)/doc/intro.txt $(CURDIR)/doc/configuration.txt $(CURDIR)/doc/management.txt
 	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
 	$(MAKE) -C doc/lua-api html
