## haproxy 3.0.9

=== debian/changelog ===
haproxy (3.0.9-1) unstable; urgency=medium

  * New upstream release.
  * d/control: drop Pre-Depends on dpkg. Closes: #1100452

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Mar 2025 17:21:15 +0100
